aboutsummaryrefslogtreecommitdiff
path: root/nixpkgs/pkgs/desktops/plasma-5
diff options
context:
space:
mode:
Diffstat (limited to 'nixpkgs/pkgs/desktops/plasma-5')
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/fetch.sh2
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kscreen.nix12
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwayland-integration.nix4
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/0001-follow-symlinks.patch25
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/0002-xwayland.patch (renamed from nixpkgs/pkgs/desktops/plasma-5/kwin/xwayland.patch)22
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/default.nix8
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/follow-symlinks.patch13
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/no-setcap-install.patch24
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/scripts/krohnkite.nix4
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/kwin/series3
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/milou.nix6
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/plasma-browser-integration.nix15
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0001-startkde.patch129
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0002-absolute-wallpaper-install-dir.patch22
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/default.nix68
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/plasma-workspace.patch1008
-rw-r--r--nixpkgs/pkgs/desktops/plasma-5/srcs.nix371
17 files changed, 440 insertions, 1296 deletions
diff --git a/nixpkgs/pkgs/desktops/plasma-5/fetch.sh b/nixpkgs/pkgs/desktops/plasma-5/fetch.sh
index e2e6da6f07c..d871ceb2875 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/fetch.sh
+++ b/nixpkgs/pkgs/desktops/plasma-5/fetch.sh
@@ -1 +1 @@
-WGET_ARGS=( https://download.kde.org/stable/plasma/5.16.5/ )
+WGET_ARGS=( https://download.kde.org/stable/plasma/5.17.5/ )
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kscreen.nix b/nixpkgs/pkgs/desktops/plasma-5/kscreen.nix
index 422bb95c605..d46d48b9c5b 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/kscreen.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/kscreen.nix
@@ -1,17 +1,17 @@
{
mkDerivation,
extra-cmake-modules,
- kconfig, kconfigwidgets, kdbusaddons, kglobalaccel, ki18n, kwidgetsaddons,
- kxmlgui, libkscreen, qtdeclarative, qtgraphicaleffects, kwindowsystem,
- kdeclarative, plasma-framework
+ kconfig, kcmutils, kconfigwidgets, kdbusaddons, kglobalaccel, ki18n,
+ kwidgetsaddons, kxmlgui, libkscreen, qtdeclarative, qtgraphicaleffects,
+ kwindowsystem, kdeclarative, plasma-framework
}:
mkDerivation {
name = "kscreen";
nativeBuildInputs = [ extra-cmake-modules ];
buildInputs = [
- kconfig kconfigwidgets kdbusaddons kglobalaccel ki18n kwidgetsaddons kxmlgui
- libkscreen qtdeclarative qtgraphicaleffects kwindowsystem kdeclarative
- plasma-framework
+ kconfig kcmutils kconfigwidgets kdbusaddons kglobalaccel ki18n
+ kwidgetsaddons kxmlgui libkscreen qtdeclarative qtgraphicaleffects
+ kwindowsystem kdeclarative plasma-framework
];
}
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwayland-integration.nix b/nixpkgs/pkgs/desktops/plasma-5/kwayland-integration.nix
index 1344b477f73..667d3ead176 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/kwayland-integration.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/kwayland-integration.nix
@@ -1,11 +1,11 @@
{
mkDerivation,
extra-cmake-modules,
- kidletime, kwayland, kwindowsystem, qtbase,
+ kguiaddons, kidletime, kwayland, kwindowsystem, qtbase,
}:
mkDerivation {
name = "kwayland-integration";
nativeBuildInputs = [ extra-cmake-modules ];
- buildInputs = [ kidletime kwindowsystem kwayland qtbase ];
+ buildInputs = [ kguiaddons kidletime kwindowsystem kwayland qtbase ];
}
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/0001-follow-symlinks.patch b/nixpkgs/pkgs/desktops/plasma-5/kwin/0001-follow-symlinks.patch
new file mode 100644
index 00000000000..4861df46ca6
--- /dev/null
+++ b/nixpkgs/pkgs/desktops/plasma-5/kwin/0001-follow-symlinks.patch
@@ -0,0 +1,25 @@
+From 449896c45b23f50c168d8d2789832024c906ec36 Mon Sep 17 00:00:00 2001
+From: Thomas Tuegel <ttuegel@mailbox.org>
+Date: Mon, 27 Jan 2020 05:31:13 -0600
+Subject: [PATCH 1/2] follow symlinks
+
+---
+ plugins/kdecorations/aurorae/src/aurorae.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/plugins/kdecorations/aurorae/src/aurorae.cpp b/plugins/kdecorations/aurorae/src/aurorae.cpp
+index fd723a8..fb95633 100644
+--- a/plugins/kdecorations/aurorae/src/aurorae.cpp
++++ b/plugins/kdecorations/aurorae/src/aurorae.cpp
+@@ -211,7 +211,7 @@ void Helper::init()
+ // so let's try to locate our plugin:
+ QString pluginPath;
+ for (const QString &path : m_engine->importPathList()) {
+- QDirIterator it(path, QDirIterator::Subdirectories);
++ QDirIterator it(path, QDirIterator::Subdirectories | QDirIterator::FollowSymlinks);
+ while (it.hasNext()) {
+ it.next();
+ QFileInfo fileInfo = it.fileInfo();
+--
+2.23.1
+
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/xwayland.patch b/nixpkgs/pkgs/desktops/plasma-5/kwin/0002-xwayland.patch
index 9d405b3bbb8..0505810abe6 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/xwayland.patch
+++ b/nixpkgs/pkgs/desktops/plasma-5/kwin/0002-xwayland.patch
@@ -1,8 +1,17 @@
-Index: kwin-5.15.5/xwl/xwayland.cpp
-===================================================================
---- kwin-5.15.5.orig/xwl/xwayland.cpp
-+++ kwin-5.15.5/xwl/xwayland.cpp
-@@ -143,7 +143,7 @@ void Xwayland::init()
+From d584b075d71c4486710c0bbed6d44038f2ff5075 Mon Sep 17 00:00:00 2001
+From: Thomas Tuegel <ttuegel@mailbox.org>
+Date: Mon, 27 Jan 2020 05:31:23 -0600
+Subject: [PATCH 2/2] xwayland
+
+---
+ xwl/xwayland.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/xwl/xwayland.cpp b/xwl/xwayland.cpp
+index 5f17d39..b4b69ba 100644
+--- a/xwl/xwayland.cpp
++++ b/xwl/xwayland.cpp
+@@ -145,7 +145,7 @@ void Xwayland::init()
m_xwaylandProcess = new Process(this);
m_xwaylandProcess->setProcessChannelMode(QProcess::ForwardedErrorChannel);
@@ -11,3 +20,6 @@ Index: kwin-5.15.5/xwl/xwayland.cpp
QProcessEnvironment env = m_app->processStartupEnvironment();
env.insert("WAYLAND_SOCKET", QByteArray::number(wlfd));
env.insert("EGL_PLATFORM", QByteArrayLiteral("DRM"));
+--
+2.23.1
+
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/default.nix b/nixpkgs/pkgs/desktops/plasma-5/kwin/default.nix
index b8f381e9714..0e1709d8245 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/default.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/kwin/default.nix
@@ -14,6 +14,9 @@
plasma-framework, qtsensors, libcap, libdrm
}:
+# TODO (ttuegel): investigate qmlplugindump failure
+# TODO (ttuegel): investigate gbm dependency
+
mkDerivation {
name = "kwin";
nativeBuildInputs = [ extra-cmake-modules kdoctools ];
@@ -30,7 +33,10 @@ mkDerivation {
libcap libdrm
];
outputs = [ "bin" "dev" "out" ];
- patches = copyPathsToStore (lib.readPathsFromFile ./. ./series);
+ patches = [
+ ./0001-follow-symlinks.patch
+ ./0002-xwayland.patch
+ ];
CXXFLAGS = [
''-DNIXPKGS_XWAYLAND=\"${lib.getBin xwayland}/bin/Xwayland\"''
];
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/follow-symlinks.patch b/nixpkgs/pkgs/desktops/plasma-5/kwin/follow-symlinks.patch
deleted file mode 100644
index 60b8f5ef541..00000000000
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/follow-symlinks.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: kwin-5.7.3/plugins/kdecorations/aurorae/src/aurorae.cpp
-===================================================================
---- kwin-5.7.3.orig/plugins/kdecorations/aurorae/src/aurorae.cpp
-+++ kwin-5.7.3/plugins/kdecorations/aurorae/src/aurorae.cpp
-@@ -211,7 +211,7 @@ void Helper::init()
- // so let's try to locate our plugin:
- QString pluginPath;
- for (const QString &path : m_engine->importPathList()) {
-- QDirIterator it(path, QDirIterator::Subdirectories);
-+ QDirIterator it(path, QDirIterator::Subdirectories | QDirIterator::FollowSymlinks);
- while (it.hasNext()) {
- it.next();
- QFileInfo fileInfo = it.fileInfo();
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/no-setcap-install.patch b/nixpkgs/pkgs/desktops/plasma-5/kwin/no-setcap-install.patch
deleted file mode 100644
index 80aacacc6ca..00000000000
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/no-setcap-install.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Dont set capabilities on kwin_wayland executable at build time
-
-This is handled by security.wrappers on NixOS
-
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 48cbcdbfe..93b410ed8 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -674,15 +674,6 @@ if (HAVE_LIBCAP)
- endif()
-
- install(TARGETS kwin_wayland ${INSTALL_TARGETS_DEFAULT_ARGS} )
--if (HAVE_LIBCAP)
-- install(
-- CODE "execute_process(
-- COMMAND
-- ${SETCAP_EXECUTABLE}
-- CAP_SYS_NICE=+ep
-- \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_BINDIR}/kwin_wayland)"
-- )
--endif()
-
- add_subdirectory(platformsupport)
- add_subdirectory(plugins)
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/scripts/krohnkite.nix b/nixpkgs/pkgs/desktops/plasma-5/kwin/scripts/krohnkite.nix
index 7a7c88b6bcf..abd655db375 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/scripts/krohnkite.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/kwin/scripts/krohnkite.nix
@@ -3,13 +3,13 @@
mkDerivation rec {
pname = "krohnkite";
- version = "0.5";
+ version = "0.7";
src = fetchFromGitHub {
owner = "esjeon";
repo = "krohnkite";
rev = "v${version}";
- sha256 = "0i0xr5aj565dzr72zjg7wmyca2gwg9izhnri63pab5y5gp5zjqn2";
+ sha256 = "0j3rm1w6d545qlmx02xs72b5zsigm48hp7lp7yh30z3cjqm00aap";
};
buildInputs = [
diff --git a/nixpkgs/pkgs/desktops/plasma-5/kwin/series b/nixpkgs/pkgs/desktops/plasma-5/kwin/series
deleted file mode 100644
index 8efb74eabd6..00000000000
--- a/nixpkgs/pkgs/desktops/plasma-5/kwin/series
+++ /dev/null
@@ -1,3 +0,0 @@
-follow-symlinks.patch
-xwayland.patch
-no-setcap-install.patch
diff --git a/nixpkgs/pkgs/desktops/plasma-5/milou.nix b/nixpkgs/pkgs/desktops/plasma-5/milou.nix
index db019db358b..790979d664f 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/milou.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/milou.nix
@@ -1,15 +1,15 @@
{
mkDerivation,
extra-cmake-modules,
- kcoreaddons, kdeclarative, ki18n, krunner, kservice, plasma-framework,
- qtscript, qtdeclarative
+ kcoreaddons, kdeclarative, ki18n, kitemmodels, krunner, kservice,
+ plasma-framework, qtscript, qtdeclarative
}:
mkDerivation {
name = "milou";
nativeBuildInputs = [ extra-cmake-modules ];
buildInputs = [
- kcoreaddons kdeclarative ki18n krunner kservice plasma-framework
+ kcoreaddons kdeclarative ki18n kitemmodels krunner kservice plasma-framework
qtdeclarative qtscript
];
}
diff --git a/nixpkgs/pkgs/desktops/plasma-5/plasma-browser-integration.nix b/nixpkgs/pkgs/desktops/plasma-5/plasma-browser-integration.nix
index e01efabe8a6..f6855cb34da 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/plasma-browser-integration.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/plasma-browser-integration.nix
@@ -1,11 +1,18 @@
-{ mkDerivation, extra-cmake-modules, qtbase, kio, ki18n, kconfig
-, kdbusaddons, knotifications, krunner, kwindowsystem, kactivities
+{
+ mkDerivation,
+ extra-cmake-modules,
+ qtbase,
+ kfilemetadata, kio, ki18n, kconfig , kdbusaddons, knotifications, kpurpose,
+ krunner, kwindowsystem, kactivities,
}:
mkDerivation {
name = "plasma-browser-integration";
nativeBuildInputs = [
- extra-cmake-modules qtbase kio ki18n kconfig kdbusaddons
- knotifications krunner kwindowsystem kactivities
+ extra-cmake-modules
+ ];
+ buildInputs = [
+ qtbase kfilemetadata kio ki18n kconfig kdbusaddons knotifications kpurpose
+ krunner kwindowsystem kactivities
];
}
diff --git a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0001-startkde.patch b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0001-startkde.patch
new file mode 100644
index 00000000000..d230e1270be
--- /dev/null
+++ b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0001-startkde.patch
@@ -0,0 +1,129 @@
+From 1796822e4c97062b919a596ce13db68e2c46c7e8 Mon Sep 17 00:00:00 2001
+From: Thomas Tuegel <ttuegel@mailbox.org>
+Date: Tue, 28 Jan 2020 05:00:53 -0600
+Subject: [PATCH 1/2] startkde
+
+---
+ startkde/startplasma-waylandsession.cpp | 2 +-
+ startkde/startplasma-x11.cpp | 2 +-
+ startkde/startplasma.cpp | 32 ++++++++-----------------
+ 3 files changed, 12 insertions(+), 24 deletions(-)
+
+diff --git a/startkde/startplasma-waylandsession.cpp b/startkde/startplasma-waylandsession.cpp
+index 87c71c6..5fc5314 100644
+--- a/startkde/startplasma-waylandsession.cpp
++++ b/startkde/startplasma-waylandsession.cpp
+@@ -67,7 +67,7 @@ int main(int /*argc*/, char** /*argv*/)
+ waitForKonqi();
+ out << "startplasma-waylandsession: Shutting down...\n";
+
+- runSync(QStringLiteral("kdeinit5_shutdown"), {});
++ runSync(QStringLiteral(NIXPKGS_KDEINIT5_SHUTDOWN), {});
+
+ cleanupX11();
+ out << "startplasma-waylandsession: Done.\n";
+diff --git a/startkde/startplasma-x11.cpp b/startkde/startplasma-x11.cpp
+index 3314b62..14cbe29 100644
+--- a/startkde/startplasma-x11.cpp
++++ b/startkde/startplasma-x11.cpp
+@@ -111,7 +111,7 @@ int main(int /*argc*/, char** /*argv*/)
+
+ out << "startkde: Shutting down...\n";
+
+- runSync(QStringLiteral("kdeinit5_shutdown"), {});
++ runSync(QStringLiteral(NIXPKGS_KDEINIT5_SHUTDOWN), {});
+
+ cleanupPlasmaEnvironment();
+ cleanupX11();
+diff --git a/startkde/startplasma.cpp b/startkde/startplasma.cpp
+index e0f7004..8ac41fd 100644
+--- a/startkde/startplasma.cpp
++++ b/startkde/startplasma.cpp
+@@ -34,7 +34,7 @@ QTextStream out(stderr);
+ void messageBox(const QString &text)
+ {
+ out << text;
+- runSync(QStringLiteral("xmessage"), {QStringLiteral("-geometry"), QStringLiteral("500x100"), text});
++ runSync(QStringLiteral(NIXPKGS_XMESSAGE), {QStringLiteral("-geometry"), QStringLiteral("500x100"), text});
+ }
+
+ QStringList allServices(const QLatin1String& prefix)
+@@ -184,14 +184,6 @@ void runEnvironmentScripts()
+ }
+ }
+ sourceFiles(scripts);
+-
+- // Make sure that the KDE prefix is first in XDG_DATA_DIRS and that it's set at all.
+- // The spec allows XDG_DATA_DIRS to be not set, but X session startup scripts tend
+- // to set it to a list of paths *not* including the KDE prefix if it's not /usr or
+- // /usr/local.
+- if (!qEnvironmentVariableIsSet("XDG_DATA_DIRS")) {
+- qputenv("XDG_DATA_DIRS", KDE_INSTALL_FULL_DATAROOTDIR ":/usr/share:/usr/local/share");
+- }
+ }
+
+
+@@ -240,15 +232,15 @@ void setupX11()
+ // If the user has overwritten fonts, the cursor font may be different now
+ // so don't move this up.
+
+- runSync(QStringLiteral("xsetroot"), {QStringLiteral("-cursor_name"), QStringLiteral("left_ptr")});
+- runSync(QStringLiteral("xprop"), {QStringLiteral("-root"), QStringLiteral("-f"), QStringLiteral("KDE_FULL_SESSION"), QStringLiteral("8t"), QStringLiteral("-set"), QStringLiteral("KDE_FULL_SESSION"), QStringLiteral("true")});
+- runSync(QStringLiteral("xprop"), {QStringLiteral("-root"), QStringLiteral("-f"), QStringLiteral("KDE_SESSION_VERSION"), QStringLiteral("32c"), QStringLiteral("-set"), QStringLiteral("KDE_SESSION_VERSION"), QStringLiteral("5")});
++ runSync(QStringLiteral(NIXPKGS_XSETROOT), {QStringLiteral("-cursor_name"), QStringLiteral("left_ptr")});
++ runSync(QStringLiteral(NIXPKGS_XPROP), {QStringLiteral("-root"), QStringLiteral("-f"), QStringLiteral("KDE_FULL_SESSION"), QStringLiteral("8t"), QStringLiteral("-set"), QStringLiteral("KDE_FULL_SESSION"), QStringLiteral("true")});
++ runSync(QStringLiteral(NIXPKGS_XPROP), {QStringLiteral("-root"), QStringLiteral("-f"), QStringLiteral("KDE_SESSION_VERSION"), QStringLiteral("32c"), QStringLiteral("-set"), QStringLiteral("KDE_SESSION_VERSION"), QStringLiteral("5")});
+ }
+
+ void cleanupX11()
+ {
+- runSync(QStringLiteral("xprop"), { QStringLiteral("-root"), QStringLiteral("-remove"), QStringLiteral("KDE_FULL_SESSION") });
+- runSync(QStringLiteral("xprop"), { QStringLiteral("-root"), QStringLiteral("-remove"), QStringLiteral("KDE_SESSION_VERSION") });
++ runSync(QStringLiteral(NIXPKGS_XPROP), { QStringLiteral("-root"), QStringLiteral("-remove"), QStringLiteral("KDE_FULL_SESSION") });
++ runSync(QStringLiteral(NIXPKGS_XPROP), { QStringLiteral("-root"), QStringLiteral("-remove"), QStringLiteral("KDE_SESSION_VERSION") });
+ }
+
+ // TODO: Check if Necessary
+@@ -265,11 +257,7 @@ bool syncDBusEnvironment()
+ {
+ int exitCode;
+ // At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
+- if (!QStandardPaths::findExecutable(QStringLiteral("dbus-update-activation-environment")).isEmpty()) {
+- exitCode = runSync(QStringLiteral("dbus-update-activation-environment"), { QStringLiteral("--systemd"), QStringLiteral("--all") });
+- } else {
+- exitCode = runSync(QStringLiteral(CMAKE_INSTALL_FULL_LIBEXECDIR "/ksyncdbusenv"), {});
+- }
++ exitCode = runSync(QStringLiteral(NIXPKGS_DBUS_UPDATE_ACTIVATION_ENVIRONMENT), { QStringLiteral("--systemd"), QStringLiteral("--all") });
+ return exitCode == 0;
+ }
+
+@@ -285,7 +273,7 @@ void setupFontDpi()
+ //TODO port to c++?
+ const QByteArray input = "Xft.dpi: " + QByteArray::number(fontsCfg.readEntry("forceFontDPI", 0));
+ QProcess p;
+- p.start(QStringLiteral("xrdb"), { QStringLiteral("-quiet"), QStringLiteral("-merge"), QStringLiteral("-nocpp") });
++ p.start(QStringLiteral(NIXPKGS_XRDB), { QStringLiteral("-quiet"), QStringLiteral("-merge"), QStringLiteral("-nocpp") });
+ p.setProcessChannelMode(QProcess::ForwardedChannels);
+ p.write(input);
+ p.closeWriteChannel();
+@@ -307,7 +295,7 @@ QProcess* setupKSplash()
+ KConfigGroup ksplashCfg = cfg.group("KSplash");
+ if (ksplashCfg.readEntry("Engine", QStringLiteral("KSplashQML")) == QLatin1String("KSplashQML")) {
+ p = new QProcess;
+- p->start(QStringLiteral("ksplashqml"), { ksplashCfg.readEntry("Theme", QStringLiteral("Breeze")) });
++ p->start(QStringLiteral(CMAKE_INSTALL_FULL_BINDIR "/ksplashqml"), { ksplashCfg.readEntry("Theme", QStringLiteral("Breeze")) });
+ }
+ }
+ return p;
+@@ -329,7 +317,7 @@ bool startKDEInit()
+ {
+ // We set LD_BIND_NOW to increase the efficiency of kdeinit.
+ // kdeinit unsets this variable before loading applications.
+- const int exitCode = runSync(QStringLiteral(CMAKE_INSTALL_FULL_LIBEXECDIR_KF5 "/start_kdeinit_wrapper"), { QStringLiteral("--kded"), QStringLiteral("+kcminit_startup") }, { QStringLiteral("LD_BIND_NOW=true") });
++ const int exitCode = runSync(QStringLiteral(NIXPKGS_START_KDEINIT_WRAPPER), { QStringLiteral("--kded"), QStringLiteral("+kcminit_startup") }, { QStringLiteral("LD_BIND_NOW=true") });
+ if (exitCode != 0) {
+ messageBox(QStringLiteral("startkde: Could not start kdeinit5. Check your installation."));
+ return false;
+--
+2.23.1
+
diff --git a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0002-absolute-wallpaper-install-dir.patch b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0002-absolute-wallpaper-install-dir.patch
new file mode 100644
index 00000000000..8fa9e1d31cf
--- /dev/null
+++ b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/0002-absolute-wallpaper-install-dir.patch
@@ -0,0 +1,22 @@
+From 7c6f939aea290bc3ec7629f26d02441d1d4bcb8a Mon Sep 17 00:00:00 2001
+From: Thomas Tuegel <ttuegel@mailbox.org>
+Date: Wed, 5 Feb 2020 05:03:11 -0600
+Subject: [PATCH 2/2] absolute-wallpaper-install-dir
+
+---
+ sddm-theme/theme.conf.cmake | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/sddm-theme/theme.conf.cmake b/sddm-theme/theme.conf.cmake
+index ea9a943..c8458ba 100644
+--- a/sddm-theme/theme.conf.cmake
++++ b/sddm-theme/theme.conf.cmake
+@@ -2,4 +2,4 @@
+ type=image
+ color=#1d99f3
+ fontSize=10
+-background=${CMAKE_INSTALL_PREFIX}/${WALLPAPER_INSTALL_DIR}/Next/contents/images/5120x2880.png
++background=${NIXPKGS_BREEZE_WALLPAPERS}/Next/contents/images/5120x2880.png
+--
+2.23.1
+
diff --git a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/default.nix b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/default.nix
index 1403c9e4c8b..6aa0e3b5738 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/default.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/default.nix
@@ -6,12 +6,12 @@
coreutils, dbus, gnugrep, gnused, isocodes, libdbusmenu, libSM, libXcursor,
libXtst, pam, wayland, xmessage, xprop, xrdb, xsetroot,
- baloo, kactivities, kcmutils, kconfig, kcrash, kdbusaddons, kdeclarative,
- kdelibs4support, kdesu, kglobalaccel, kidletime, kinit, kjsembed, knewstuff,
- knotifyconfig, kpackage, krunner, kscreenlocker, ktexteditor, ktextwidgets,
- kwallet, kwayland, kwin, kxmlrpcclient, libkscreen, libksysguard, libqalculate,
- networkmanager-qt, phonon, plasma-framework, prison, solid, kholidays,
- breeze-qt5,
+ baloo, breeze-qt5, kactivities, kactivities-stats, kcmutils, kconfig, kcrash,
+ kdbusaddons, kdeclarative, kdelibs4support, kdesu, kglobalaccel, kidletime,
+ kinit, kjsembed, knewstuff, knotifyconfig, kpackage, kpeople, krunner,
+ kscreenlocker, ktexteditor, ktextwidgets, kwallet, kwayland, kwin,
+ kxmlrpcclient, libkscreen, libksysguard, libqalculate, networkmanager-qt,
+ phonon, plasma-framework, prison, solid, kholidays,
qtgraphicaleffects, qtquickcontrols, qtquickcontrols2, qtscript, qttools,
qtwayland, qtx11extras,
@@ -26,11 +26,12 @@ mkDerivation {
buildInputs = [
isocodes libdbusmenu libSM libXcursor libXtst pam wayland
- baloo kactivities kcmutils kconfig kcrash kdbusaddons kdeclarative
- kdelibs4support kdesu kglobalaccel kidletime kjsembed knewstuff
- knotifyconfig kpackage krunner kscreenlocker ktexteditor ktextwidgets
- kwallet kwayland kwin kxmlrpcclient libkscreen libksysguard libqalculate
- networkmanager-qt phonon plasma-framework prison solid kholidays
+ baloo kactivities kactivities-stats kcmutils kconfig kcrash kdbusaddons
+ kdeclarative kdelibs4support kdesu kglobalaccel kidletime kjsembed knewstuff
+ knotifyconfig kpackage kpeople krunner kscreenlocker ktexteditor
+ ktextwidgets kwallet kwayland kwin kxmlrpcclient libkscreen libksysguard
+ libqalculate networkmanager-qt phonon plasma-framework prison solid
+ kholidays
qtgraphicaleffects qtquickcontrols qtquickcontrols2 qtscript qtwayland qtx11extras
];
@@ -38,41 +39,22 @@ mkDerivation {
outputs = [ "out" "dev" ];
cmakeFlags = [
- "-DNIXPKGS_XMESSAGE=${getBin xmessage}/bin/xmessage"
- "-DNIXPKGS_MKDIR=${getBin coreutils}/bin/mkdir"
- "-DNIXPKGS_XRDB=${getBin xrdb}/bin/xrdb"
- "-DNIXPKGS_QTPATHS=${getBin qttools}/bin/qtpaths"
- "-DNIXPKGS_XSETROOT=${getBin xsetroot}/bin/xsetroot"
- "-DNIXPKGS_XPROP=${getBin xprop}/bin/xprop"
- "-DNIXPKGS_ID=${getBin coreutils}/bin/id"
- "-DNIXPKGS_DBUS_UPDATE_ACTIVATION_ENVIRONMENT=${getBin dbus}/bin/dbus-update-activation-environment"
- "-DNIXPKGS_START_KDEINIT_WRAPPER=${getLib kinit}/libexec/kf5/start_kdeinit_wrapper"
- "-DNIXPKGS_QDBUS=${getBin qttools}/bin/qdbus"
- "-DNIXPKGS_KWRAPPER5=${getBin kinit}/bin/kwrapper5"
- "-DNIXPKGS_KREADCONFIG5=${getBin kconfig}/bin/kreadconfig5"
- "-DNIXPKGS_GREP=${getBin gnugrep}/bin/grep"
- "-DNIXPKGS_KDEINIT5_SHUTDOWN=${getBin kinit}/bin/kdeinit5_shutdown"
- "-DNIXPKGS_SED=${getBin gnused}/bin/sed"
- "-DNIXPKGS_WALLPAPER_INSTALL_DIR=${getBin breeze-qt5}/share/wallpapers/"
+ ''-DNIXPKGS_BREEZE_WALLPAPERS=${getBin breeze-qt5}/share/wallpapers''
];
- # To regenerate ./plasma-workspace.patch,
- #
- # > git clone https://github.com/ttuegel/plasma-workspace
- # > cd plasma-workspace
- # > git checkout nixpkgs/$x.$y # where $x.$y.$z == $version
- # ... make some commits ...
- # > git diff v$x.$y.$z
- #
- # Add upstream patches to the list below. For new patchs, particularly if not
- # submitted upstream, please make a pull request and add it to
- # ./plasma-workspace.patch.
patches = [
- ./plasma-workspace.patch
+ ./0001-startkde.patch
+ ./0002-absolute-wallpaper-install-dir.patch
];
- preConfigure = ''
- NIX_CFLAGS_COMPILE+=" -DNIXPKGS_KDOSTARTUPCONFIG5=\"''${!outputBin}/bin/kdostartupconfig5\""
- cmakeFlags+=" -DNIXPKGS_STARTPLASMA=''${!outputBin}/libexec/startplasma"
- '';
+
+ NIX_CFLAGS_COMPILE = [
+ ''-DNIXPKGS_XMESSAGE="${getBin xmessage}/bin/xmessage"''
+ ''-DNIXPKGS_XRDB="${getBin xrdb}/bin/xrdb"''
+ ''-DNIXPKGS_XSETROOT="${getBin xsetroot}/bin/xsetroot"''
+ ''-DNIXPKGS_XPROP="${getBin xprop}/bin/xprop"''
+ ''-DNIXPKGS_DBUS_UPDATE_ACTIVATION_ENVIRONMENT="${getBin dbus}/bin/dbus-update-activation-environment"''
+ ''-DNIXPKGS_START_KDEINIT_WRAPPER="${getLib kinit}/libexec/kf5/start_kdeinit_wrapper"''
+ ''-DNIXPKGS_KDEINIT5_SHUTDOWN="${getBin kinit}/bin/kdeinit5_shutdown"''
+ ];
}
diff --git a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/plasma-workspace.patch b/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/plasma-workspace.patch
deleted file mode 100644
index 5159328ed3f..00000000000
--- a/nixpkgs/pkgs/desktops/plasma-5/plasma-workspace/plasma-workspace.patch
+++ /dev/null
@@ -1,1008 +0,0 @@
-diff --git a/sddm-theme/theme.conf.cmake b/sddm-theme/theme.conf.cmake
-index ea9a943..f98ddd2 100644
---- a/sddm-theme/theme.conf.cmake
-+++ b/sddm-theme/theme.conf.cmake
-@@ -2,4 +2,4 @@
- type=image
- color=#1d99f3
- fontSize=10
--background=${CMAKE_INSTALL_PREFIX}/${WALLPAPER_INSTALL_DIR}/Next/contents/images/5120x2880.png
-+background=${NIXPKGS_WALLPAPER_INSTALL_DIR}/Next/contents/images/5120x2880.png
-diff --git a/startkde/CMakeLists.txt b/startkde/CMakeLists.txt
-index 6a1a212..f03fd34 100644
---- a/startkde/CMakeLists.txt
-+++ b/startkde/CMakeLists.txt
-@@ -4,11 +4,6 @@ add_subdirectory(ksyncdbusenv)
- add_subdirectory(waitforname)
- add_subdirectory(kcheckrunning)
-
--#FIXME: reconsider, looks fishy
--if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
-- set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${KDE_INSTALL_FULL_DATAROOTDIR}/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
--endif()
--
- configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde @ONLY)
- configure_file(startplasmacompositor.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasmacompositor @ONLY)
- configure_file(startplasma.cmake ${CMAKE_CURRENT_BINARY_DIR}/startplasma @ONLY)
-diff --git a/startkde/kstartupconfig/kstartupconfig.cpp b/startkde/kstartupconfig/kstartupconfig.cpp
-index 493218e..d507aa5 100644
---- a/startkde/kstartupconfig/kstartupconfig.cpp
-+++ b/startkde/kstartupconfig/kstartupconfig.cpp
-@@ -147,5 +147,5 @@ int main()
- fclose( keys );
- fclose( config );
- doit:
-- return system( "kdostartupconfig5" );
-+ return system( NIXPKGS_KDOSTARTUPCONFIG5 );
- }
-diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
-index b68f0c6..97a13a1 100644
---- a/startkde/startkde.cmake
-+++ b/startkde/startkde.cmake
-@@ -1,22 +1,31 @@
- #!/bin/sh
- #
--# DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
-+# NIXPKGS KDE STARTUP SCRIPT ( @PROJECT_VERSION@ )
- #
-
-+if test "x$1" = x--failsafe; then
-+ KDE_FAILSAFE=1 # General failsafe flag
-+ KWIN_COMPOSE=N # Disable KWin's compositing
-+ QT_XCB_FORCE_SOFTWARE_OPENGL=1
-+ export KWIN_COMPOSE KDE_FAILSAFE QT_XCB_FORCE_SOFTWARE_OPENGL
-+fi
-+
- # When the X server dies we get a HUP signal from xinit. We must ignore it
- # because we still need to do some cleanup.
- trap 'echo GOT SIGHUP' HUP
-
--# Check if a Plasma session already is running and whether it's possible to connect to X
--kcheckrunning
-+# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
-+unset DYLD_FORCE_FLAT_NAMESPACE
-+
-+# Check if a KDE session already is running and whether it's possible to connect to X
-+@CMAKE_INSTALL_FULL_BINDIR@/kcheckrunning
- kcheckrunning_result=$?
--if test $kcheckrunning_result -eq 0 ; then
-- echo "Plasma seems to be already running on this display."
-- xmessage -geometry 500x100 "Plasma seems to be already running on this display." > /dev/null 2>/dev/null
-- exit 1
--elif test $kcheckrunning_result -eq 2 ; then
-- echo "\$DISPLAY is not set or cannot connect to the X server."
-- exit 1
-+if [ $kcheckrunning_result -eq 0 ]; then
-+ echo "KDE seems to be already running on this display."
-+ exit 1
-+elif [ $kcheckrunning_result -eq 2 ]; then
-+ echo "\$DISPLAY is not set or cannot connect to the X server."
-+ exit 1
- fi
-
- # Boot sequence:
-@@ -33,62 +42,143 @@ fi
- #
- # * Then ksmserver is started which takes control of the rest of the startup sequence
-
--if [ ${XDG_CONFIG_HOME} ]; then
-- configDir=$XDG_CONFIG_HOME;
--else
-- configDir=${HOME}/.config; #this is the default, http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
-+export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
-+@NIXPKGS_MKDIR@ -p "$XDG_CONFIG_HOME"
-+
-+# The KDE icon cache is supposed to update itself
-+# automatically, but it uses the timestamp on the icon
-+# theme directory as a trigger. Since in Nix the
-+# timestamp is always the same, this doesn't work. So as
-+# a workaround, nuke the icon cache on login. This isn't
-+# perfect, since it may require logging out after
-+# installing new applications to update the cache.
-+# See http://lists-archives.org/kde-devel/26175-what-when-will-icon-cache-refresh.html
-+rm -fv $HOME/.cache/icon-cache.kcache
-+
-+# xdg-desktop-settings generates this empty file but
-+# it makes kbuildsyscoca5 fail silently. To fix this
-+# remove that menu if it exists.
-+rm -fv $HOME/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu
-+
-+# Remove the kbuildsyscoca5 cache. It will be regenerated immediately after.
-+# This is necessary for kbuildsyscoca5 to recognize that software that has been removed.
-+rm -fv $HOME/.cache/ksycoca*
-+
-+# Qt writes a weird ‘libraryPath’ line to
-+# ~/.config/Trolltech.conf that causes the KDE plugin
-+# paths of previous KDE invocations to be searched.
-+# Obviously using mismatching KDE libraries is potentially
-+# disastrous, so here we nuke references to the Nix store
-+# in Trolltech.conf. A better solution would be to stop
-+# Qt from doing this wackiness in the first place.
-+if [ -e $XDG_CONFIG_HOME/Trolltech.conf ]; then
-+ @NIXPKGS_SED@ -e '/nix\\store\|nix\/store/ d' -i $XDG_CONFIG_HOME/Trolltech.conf
- fi
- sysConfigDirs=${XDG_CONFIG_DIRS:-/etc/xdg}
-
--# We need to create config folder so we can write startupconfigkeys
--mkdir -p $configDir
-+@NIXPKGS_KBUILDSYCOCA5@
-+
-+# Set the default GTK 2 theme
-+gtkrc2="$HOME/.gtkrc-2.0"
-+breeze_gtkrc2="/run/current-system/sw/share/themes/Breeze/gtk-2.0/gtkrc"
-+if ! [ -e "$gtkrc2" ] && [ -e "$breeze_gtkrc2" ]; then
-+ cat >"$gtkrc2" <<EOF
-+# Default GTK+ 2 config for NixOS KDE 5
-+include "$breeze_gtkrc2"
-+style "user-font"
-+{
-+ font_name="Sans Serif Regular"
-+}
-+widget_class "*" style "user-font"
-+gtk-font-name="Sans Serif Regular 10"
-+gtk-theme-name="Breeze"
-+gtk-icon-theme-name="breeze"
-+gtk-fallback-icon-theme="hicolor"
-+gtk-cursor-theme-name="breeze_cursors"
-+gtk-toolbar-style=GTK_TOOLBAR_ICONS
-+gtk-menu-images=1
-+gtk-button-images=1
-+EOF
-+fi
-+
-+# Set the default GTK 3 theme
-+gtk3_settings="$XDG_CONFIG_HOME/gtk-3.0/settings.ini"
-+breeze_gtk3="/run/current-system/sw/share/themes/Breeze/gtk-3.0"
-+if ! [ -e "$gtk3_settings" ] && [ -e "$breeze_gtk" ]; then
-+ mkdir -p $(dirname "$gtk3_settings")
-+ cat >"$gtk3_settings" <<EOF
-+[Settings]
-+gtk-font-name=Sans Serif Regular 10
-+gtk-theme-name=Breeze
-+gtk-icon-theme-name=breeze
-+gtk-fallback-icon-theme=hicolor
-+gtk-cursor-theme-name=breeze_cursors
-+gtk-toolbar-style=GTK_TOOLBAR_ICONS
-+gtk-menu-images=1
-+gtk-button-images=1
-+EOF
-+fi
-+
-+kcminputrc="$XDG_CONFIG_HOME/kcminputrc"
-+if ! [ -e "$kcminputrc" ]; then
-+ cat >"$kcminputrc" <<EOF
-+[Mouse]
-+cursorTheme=breeze_cursors
-+cursorSize=0
-+EOF
-+fi
-
- #This is basically setting defaults so we can use them with kstartupconfig5
--cat >$configDir/startupconfigkeys <<EOF
-+cat >"$XDG_CONFIG_HOME/startupconfigkeys" <<EOF
- kcminputrc Mouse cursorTheme 'breeze_cursors'
- kcminputrc Mouse cursorSize ''
--ksplashrc KSplash Theme Breeze
-+ksplashrc KSplash Theme org.kde.breeze.desktop
- ksplashrc KSplash Engine KSplashQML
- kdeglobals KScreen ScaleFactor ''
- kdeglobals KScreen ScreenScaleFactors ''
- kcmfonts General forceFontDPI 0
-+kcmfonts General dontChangeAASettings true
- EOF
-
- # preload the user's locale on first start
--plasmalocalerc=$configDir/plasma-localerc
--test -f $plasmalocalerc || {
--cat >$plasmalocalerc <<EOF
-+plasmalocalerc="$XDG_CONFIG_HOME/plasma-localerc"
-+if ! [ -f "$plasmalocalerc" ]; then
-+ cat >"$plasmalocalerc" <<EOF
- [Formats]
- LANG=$LANG
- EOF
--}
-+fi
-
- # export LC_* variables set by kcmshell5 formats into environment
- # so it can be picked up by QLocale and friends.
--exportformatssettings=$configDir/plasma-locale-settings.sh
--test -f $exportformatssettings && {
-- . $exportformatssettings
--}
-+exportformatssettings="$XDG_CONFIG_HOME/plasma-locale-settings.sh"
-+if [ -r "$exportformatssettings" ]; then
-+ . "$exportformatssettings"
-+fi
-
- # Write a default kdeglobals file to set up the font
--kdeglobalsfile=$configDir/kdeglobals
--test -f $kdeglobalsfile || {
--cat >$kdeglobalsfile <<EOF
-+kdeglobalsfile="$XDG_CONFIG_HOME/kdeglobals"
-+if ! [ -f "$kdeglobalsfile" ]; then
-+ cat >"$kdeglobalsfile" <<EOF
- [General]
--XftAntialias=true
--XftHintStyle=hintmedium
--XftSubPixel=none
-+fixed=Monospace,10,-1,5,50,0,0,0,0,0,Regular
-+font=Sans Serif,10,-1,5,50,0,0,0,0,0,Regular
-+menuFont=Sans Serif,10,-1,5,50,0,0,0,0,0,Regular
-+smallestReadableFont=Sans Serif,8,-1,5,50,0,0,0,0,0,Regular
-+toolBarFont=Sans Serif,8,-1,5,50,0,0,0,0,0,Regular
-+
-+[WM]
-+activeFont=Noto Sans,12,-1,5,50,0,0,0,0,0,Bold
- EOF
--}
-+fi
-
--kstartupconfig5
--returncode=$?
--if test $returncode -ne 0; then
-- xmessage -geometry 500x100 "kstartupconfig5 does not exist or fails. The error code is $returncode. Check your installation."
-+if ! @CMAKE_INSTALL_FULL_BINDIR@/kstartupconfig5; then
-+ echo "kstartupconfig5 does not exist or fails. The error code is $returncode. Check your installation." 1>&2
- exit 1
- fi
--[ -r $configDir/startupconfig ] && . $configDir/startupconfig
--
-+if [ -r "$XDG_CONFIG_HOME/startupconfig" ]; then
-+ . "$XDG_CONFIG_HOME/startupconfig"
-+fi
-
- #Do not sync any of this section with the wayland versions as there scale factors are
- #sent properly over wl_output
-@@ -104,26 +194,33 @@ fi
- #otherwise apps that manually opt in for high DPI get auto scaled by the developer AND manually scaled by us
- export QT_AUTO_SCREEN_SCALE_FACTOR=0
-
-+#Set the QtQuickControls style to our own: for QtQuickControls1
-+#it will fall back to Desktop, while it will use our own org.kde.desktop
-+#for QtQuickControlsStyle and Kirigami
-+export QT_QUICK_CONTROLS_STYLE=org.kde.desktop
-+
-+XCURSOR_PATH=~/.icons
-+IFS=":" read -r -a xdgDirs <<< "$XDG_DATA_DIRS"
-+for xdgDir in "${xdgDirs[@]}"; do
-+ XCURSOR_PATH="$XCURSOR_PATH:$xdgDir/icons"
-+done
-+export XCURSOR_PATH
-+
- # XCursor mouse theme needs to be applied here to work even for kded or ksmserver
- if test -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ; then
-- @EXPORT_XCURSOR_PATH@
--
- kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
-- if test $? -eq 10; then
-- XCURSOR_THEME=breeze_cursors
-- export XCURSOR_THEME
-- elif test -n "$kcminputrc_mouse_cursortheme"; then
-- XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
-- export XCURSOR_THEME
-+ if [ $? -eq 10 ]; then
-+ export XCURSOR_THEME=breeze_cursors
-+ elif [ -n "$kcminputrc_mouse_cursortheme" ]; then
-+ export XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
- fi
-- if test -n "$kcminputrc_mouse_cursorsize"; then
-- XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
-- export XCURSOR_SIZE
-+ if [ -n "$kcminputrc_mouse_cursorsize" ]; then
-+ export XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
- fi
- fi
-
--if test "$kcmfonts_general_forcefontdpi" -ne 0; then
-- xrdb -quiet -merge -nocpp <<EOF
-+if [ "${kcmfonts_general_forcefontdpi:-0}" -ne 0 ]; then
-+ @NIXPKGS_XRDB@ -quiet -merge -nocpp <<EOF
- Xft.dpi: $kcmfonts_general_forcefontdpi
- EOF
- fi
-@@ -132,11 +229,11 @@ dl=$DESKTOP_LOCKED
- unset DESKTOP_LOCKED # Don't want it in the environment
-
- ksplash_pid=
--if test -z "$dl"; then
-+if [ -z "$dl" ]; then
- # the splashscreen and progress indicator
- case "$ksplashrc_ksplash_engine" in
- KSplashQML)
-- ksplash_pid=`ksplashqml "${ksplashrc_ksplash_theme}" --pid`
-+ ksplash_pid=$(@CMAKE_INSTALL_FULL_BINDIR@/ksplashqml "${ksplashrc_ksplash_theme}" --pid)
- ;;
- None)
- ;;
-@@ -145,27 +242,6 @@ if test -z "$dl"; then
- esac
- fi
-
--# Source scripts found in <config locations>/plasma-workspace/env/*.sh
--# (where <config locations> correspond to the system and user's configuration
--# directory.
--#
--# This is where you can define environment variables that will be available to
--# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
--# or eval `gpg-agent --daemon`.
--# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
--#
--# (see end of this file).
--# For anything else (that doesn't set env vars, or that needs a window manager),
--# better use the Autostart folder.
--
--scriptpath=`echo "$configDir:$sysConfigDirs" | tr ':' '\n'`
--
--for prefix in `echo $scriptpath`; do
-- for file in "$prefix"/plasma-workspace/env/*.sh; do
-- test -r "$file" && . "$file" || true
-- done
--done
--
- # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
- # from some users that they're confused and don't know what to do. This is
- # especially necessary on slow machines, where starting KDE takes one or two
-@@ -221,44 +297,65 @@ export XDG_DATA_DIRS
- #
- KDE_FULL_SESSION=true
- export KDE_FULL_SESSION
--xprop -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
-+@NIXPKGS_XPROP@ -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
-
- KDE_SESSION_VERSION=5
- export KDE_SESSION_VERSION
--xprop -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
-+@NIXPKGS_XPROP@ -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
-
--KDE_SESSION_UID=`id -ru`
-+KDE_SESSION_UID=$(@NIXPKGS_ID@ -ru)
- export KDE_SESSION_UID
-
- XDG_CURRENT_DESKTOP=KDE
- export XDG_CURRENT_DESKTOP
-
-+# Enforce xcb QPA. Helps switching between Wayland and X sessions.
-+export QT_QPA_PLATFORM=xcb
-+
-+# Source scripts found in <config locations>/plasma-workspace/env/*.sh
-+# (where <config locations> correspond to the system and user's configuration
-+# directories, as identified by Qt's qtpaths, e.g. $HOME/.config
-+# and /etc/xdg/ on Linux)
-+#
-+# This is where you can define environment variables that will be available to
-+# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
-+# or eval `gpg-agent --daemon`.
-+# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
-+#
-+# (see end of this file).
-+# For anything else (that doesn't set env vars, or that needs a window manager),
-+# better use the Autostart folder.
-+
-+IFS=":" read -r -a scriptpath <<< $(@NIXPKGS_QTPATHS@ --paths GenericConfigLocation)
-+# Add /env/ to the directory to locate the scripts to be sourced
-+for prefix in "${scriptpath[@]}"; do
-+ for file in "$prefix"/plasma-workspace/env/*.sh; do
-+ if [ -r "$file" ]; then
-+ . "$file"
-+ fi
-+ done
-+done
-+
- # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
--if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
-- dbus-update-activation-environment --systemd --all
--else
-- @CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
--fi
--if test $? -ne 0; then
-+
-+if ! @NIXPKGS_DBUS_UPDATE_ACTIVATION_ENVIRONMENT@ --systemd --all; then
- # Startup error
- echo 'startkde: Could not sync environment to dbus.' 1>&2
- test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-- xmessage -geometry 500x100 "Could not sync environment to dbus."
- exit 1
- fi
-
- # We set LD_BIND_NOW to increase the efficiency of kdeinit.
- # kdeinit unsets this variable before loading applications.
--LD_BIND_NOW=true @CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
-+LD_BIND_NOW=true @NIXPKGS_START_KDEINIT_WRAPPER@ --kded +kcminit_startup
- if test $? -ne 0; then
- # Startup error
- echo 'startkde: Could not start kdeinit5. Check your installation.' 1>&2
- test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-- xmessage -geometry 500x100 "Could not start kdeinit5. Check your installation."
- exit 1
- fi
-
--qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
-+@NIXPKGS_QDBUS@ org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
-
- # finally, give the session control to the session manager
- # see kdebase/ksmserver for the description of the rest of the startup sequence
-@@ -270,12 +367,16 @@ qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
- # We only check for 255 which means that the ksmserver process could not be
- # started, any problems thereafter, e.g. ksmserver failing to initialize,
- # will remain undetected.
--test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
-+if [ -n "$KDEWM" ]; then
-+ KDEWM="--windowmanager $KDEWM"
-+fi
- # If the session should be locked from the start (locked autologin),
- # lock now and do the rest of the KDE startup underneath the locker.
- KSMSERVEROPTIONS=""
--test -n "$dl" && KSMSERVEROPTIONS=" --lockscreen"
--kwrapper5 @CMAKE_INSTALL_FULL_BINDIR@/ksmserver $KDEWM $KSMSERVEROPTIONS
-+if [ -n "$dl" ]; then
-+ KSMSERVEROPTIONS=" --lockscreen"
-+fi
-+@NIXPKGS_KWRAPPER5@ @CMAKE_INSTALL_FULL_BINDIR@/ksmserver $KDEWM $KSMSERVEROPTIONS
- if test $? -eq 255; then
- # Startup error
- echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
-@@ -286,19 +387,19 @@ fi
- #Anything after here is logout
- #It is not called after shutdown/restart
-
--wait_drkonqi=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Enabled --default true`
-+wait_drkonqi=$(@NIXPKGS_KREADCONFIG5@ --file startkderc --group WaitForDrKonqi --key Enabled --default true)
-
--if test x"$wait_drkonqi"x = x"true"x ; then
-+if [ x"$wait_drkonqi"x = x"true"x ]; then
- # wait for remaining drkonqi instances with timeout (in seconds)
-- wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
-+ wait_drkonqi_timeout=$(@NIXPKGS_KREADCONFIG5@ --file startkderc --group WaitForDrKonqi --key Timeout --default 900)
- wait_drkonqi_counter=0
-- while qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
-+ while @NIXPKGS_QDBUS@ | @NIXPKGS_GREP@ -q "^[^w]*org.kde.drkonqi" ; do
- sleep 5
- wait_drkonqi_counter=$((wait_drkonqi_counter+5))
-- if test "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ; then
-+ if [ "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ]; then
- # ask remaining drkonqis to die in a graceful way
-- qdbus | grep 'org.kde.drkonqi-' | while read address ; do
-- qdbus "$address" "/MainApplication" "quit"
-+ @NIXPKGS_QDBUS@ | @NIXPKGS_GREP@ 'org.kde.drkonqi-' | while read address ; do
-+ @NIXPKGS_QDBUS@ "$address" "/MainApplication" "quit"
- done
- break
- fi
-@@ -307,15 +408,17 @@ fi
-
- echo 'startkde: Shutting down...' 1>&2
- # just in case
--test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-+if [ -n "$ksplash_pid" ]; then
-+ kill "$ksplash_pid" 2>/dev/null
-+fi
-
- # Clean up
--kdeinit5_shutdown
-+@NIXPKGS_KDEINIT5_SHUTDOWN@
-
- unset KDE_FULL_SESSION
--xprop -root -remove KDE_FULL_SESSION
-+@NIXPKGS_XPROP@ -root -remove KDE_FULL_SESSION
- unset KDE_SESSION_VERSION
--xprop -root -remove KDE_SESSION_VERSION
-+@NIXPKGS_XPROP@ -root -remove KDE_SESSION_VERSION
- unset KDE_SESSION_UID
-
- echo 'startkde: Done.' 1>&2
-diff --git a/startkde/startplasma.cmake b/startkde/startplasma.cmake
-index 1fe41c5..11757df 100644
---- a/startkde/startplasma.cmake
-+++ b/startkde/startplasma.cmake
-@@ -1,6 +1,6 @@
- #!/bin/sh
- #
--# DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
-+# NIXPKGS Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
- #
-
- # Boot sequence:
-@@ -17,28 +17,26 @@
- #
- # * Then ksmserver is started which takes control of the rest of the startup sequence
-
--# We need to create config folder so we can write startupconfigkeys
--if [ ${XDG_CONFIG_HOME} ]; then
-- configDir=$XDG_CONFIG_HOME;
--else
-- configDir=${HOME}/.config; #this is the default, http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
-+export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
-+if [ -r "$XDG_CONFIG_HOME/startupconfig" ]; then
-+ . "$XDG_CONFIG_HOME/startupconfig"
- fi
-
--[ -r $configDir/startupconfig ] && . $configDir/startupconfig
--
--xrdb -quiet -merge -nocpp <<EOF
-+if [ "$kcmfonts_general_forcefontdpi" -ne 0 ]; then
-+ @NIXPKGS_XRDB@ -quiet -merge -nocpp <<EOF
- Xft.dpi: $QT_WAYLAND_FORCE_DPI
- EOF
-+fi
-
- dl=$DESKTOP_LOCKED
- unset DESKTOP_LOCKED # Don't want it in the environment
-
- ksplash_pid=
--if test -z "$dl"; then
-+if [ -z "$dl" ]; then
- # the splashscreen and progress indicator
- case "$ksplashrc_ksplash_engine" in
- KSplashQML)
-- ksplash_pid=`ksplashqml "${ksplashrc_ksplash_theme}" --pid`
-+ ksplash_pid=$(@CMAKE_INSTALL_FULL_BINDIR@/ksplashqml "${ksplashrc_ksplash_theme}" --pid)
- ;;
- None)
- ;;
-@@ -58,23 +56,13 @@ export PLASMA_USE_QT_SCALING=1
- # If the user has overwritten fonts, the cursor font may be different now
- # so don't move this up.
- #
--xsetroot -cursor_name left_ptr
--
--# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap
--usr_fdir=$HOME/.fonts
--if test -n "$GS_LIB" ; then
-- GS_LIB=$usr_fdir:$GS_LIB
-- export GS_LIB
--else
-- GS_LIB=$usr_fdir
-- export GS_LIB
--fi
-+@NIXPKGS_XSETROOT@ -cursor_name left_ptr
-
- echo 'startplasma: Starting up...' 1>&2
-
- # export our session variables to the Xwayland server
--xprop -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
--xprop -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
-+@NIXPKGS_XPROP@ -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
-+@NIXPKGS_XPROP@ -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
-
- # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
- if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
-@@ -90,16 +78,15 @@ fi
-
- # We set LD_BIND_NOW to increase the efficiency of kdeinit.
- # kdeinit unsets this variable before loading applications.
--LD_BIND_NOW=true @CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
-+LD_BIND_NOW=true @NIXPKGS_START_KDEINIT_WRAPPER@ --kded +kcminit_startup
- if test $? -ne 0; then
- # Startup error
- echo 'startplasma: Could not start kdeinit5. Check your installation.' 1>&2
- test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-- xmessage -geometry 500x100 "Could not start kdeinit5. Check your installation."
- exit 1
- fi
-
--qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
-+@NIXPKGS_QDBUS@ org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit &
-
- # finally, give the session control to the session manager
- # see kdebase/ksmserver for the description of the rest of the startup sequence
-@@ -125,19 +112,19 @@ fi
- #Anything after here is logout
- #It is not called after shutdown/restart
-
--wait_drkonqi=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Enabled --default true`
-+wait_drkonqi=$(@NIXPKGS_KREADCONFIG5@ --file startkderc --group WaitForDrKonqi --key Enabled --default true)
-
--if test x"$wait_drkonqi"x = x"true"x ; then
-+if [ x"$wait_drkonqi"x = x"true"x ]; then
- # wait for remaining drkonqi instances with timeout (in seconds)
-- wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
-+ wait_drkonqi_timeout=$(@NIXPKGS_KREADCONFIG5@ --file startkderc --group WaitForDrKonqi --key Timeout --default 900)
- wait_drkonqi_counter=0
-- while qdbus | grep "^[^w]*org.kde.drkonqi" > /dev/null ; do
-+ while @NIXPKGS_QDBUS@ | @NIXPKGS_GREP@ -q "^[^w]*org.kde.drkonqi" ; do
- sleep 5
- wait_drkonqi_counter=$((wait_drkonqi_counter+5))
-- if test "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ; then
-+ if [ "$wait_drkonqi_counter" -ge "$wait_drkonqi_timeout" ]; then
- # ask remaining drkonqis to die in a graceful way
-- qdbus | grep 'org.kde.drkonqi-' | while read address ; do
-- qdbus "$address" "/MainApplication" "quit"
-+ @NIXPKGS_QDBUS@ | @NIXPKGS_GREP@ 'org.kde.drkonqi-' | while read address ; do
-+ @NIXPKGS_QDBUS@ "$address" "/MainApplication" "quit"
- done
- break
- fi
-@@ -146,15 +133,17 @@ fi
-
- echo 'startplasma: Shutting down...' 1>&2
- # just in case
--test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-+if [ -n "$ksplash_pid" ]; then
-+ "$ksplash_pid" 2>/dev/null
-+fi
-
- # Clean up
--kdeinit5_shutdown
-+@NIXPKGS_KDEINIT5_SHUTDOWN@
-
- unset KDE_FULL_SESSION
--xprop -root -remove KDE_FULL_SESSION
-+@NIXPKGS_XPROP@ -root -remove KDE_FULL_SESSION
- unset KDE_SESSION_VERSION
--xprop -root -remove KDE_SESSION_VERSION
-+@NIXPKGS_XPROP@ -root -remove KDE_SESSION_VERSION
- unset KDE_SESSION_UID
-
- echo 'startplasma: Done.' 1>&2
-diff --git a/startkde/startplasmacompositor.cmake b/startkde/startplasmacompositor.cmake
-index dcb473a..0988740 100644
---- a/startkde/startplasmacompositor.cmake
-+++ b/startkde/startplasmacompositor.cmake
-@@ -1,118 +1,174 @@
- #!/bin/sh
- #
--# DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
-+# NIXPKGS Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
- #
-
--# We need to create config folder so we can write startupconfigkeys
--if [ ${XDG_CONFIG_HOME} ]; then
-- configDir=$XDG_CONFIG_HOME;
--else
-- configDir=${HOME}/.config; #this is the default, http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
-+# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
-+unset DYLD_FORCE_FLAT_NAMESPACE
-+
-+export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
-+@NIXPKGS_MKDIR@ -p "$XDG_CONFIG_HOME"
-+
-+# The KDE icon cache is supposed to update itself
-+# automatically, but it uses the timestamp on the icon
-+# theme directory as a trigger. Since in Nix the
-+# timestamp is always the same, this doesn't work. So as
-+# a workaround, nuke the icon cache on login. This isn't
-+# perfect, since it may require logging out after
-+# installing new applications to update the cache.
-+# See http://lists-archives.org/kde-devel/26175-what-when-will-icon-cache-refresh.html
-+rm -fv $HOME/.cache/icon-cache.kcache
-+
-+# xdg-desktop-settings generates this empty file but
-+# it makes kbuildsyscoca5 fail silently. To fix this
-+# remove that menu if it exists.
-+rm -fv $HOME/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu
-+
-+# Remove the kbuildsyscoca5 cache. It will be regenerated immediately after.
-+# This is necessary for kbuildsyscoca5 to recognize that software that has been removed.
-+rm -fv $HOME/.cache/ksycoca*
-+
-+# Qt writes a weird ‘libraryPath’ line to
-+# ~/.config/Trolltech.conf that causes the KDE plugin
-+# paths of previous KDE invocations to be searched.
-+# Obviously using mismatching KDE libraries is potentially
-+# disastrous, so here we nuke references to the Nix store
-+# in Trolltech.conf. A better solution would be to stop
-+# Qt from doing this wackiness in the first place.
-+if [ -e $XDG_CONFIG_HOME/Trolltech.conf ]; then
-+ @NIXPKGS_SED@ -e '/nix\\store\|nix\/store/ d' -i $XDG_CONFIG_HOME/Trolltech.conf
-+fi
-+
-+@NIXPKGS_KBUILDSYCOCA5@
-+
-+# Set the default GTK 2 theme
-+gtkrc2="$HOME/.gtkrc-2.0"
-+breeze_gtkrc2="/run/current-system/sw/share/themes/Breeze/gtk-2.0/gtkrc"
-+if ! [ -e "$gtkrc2" ] && [ -e "$breeze_gtkrc2" ]; then
-+ cat >"$gtkrc2" <<EOF
-+# Default GTK+ 2 config for NixOS KDE 5
-+include "$breeze_gtkrc2"
-+style "user-font"
-+{
-+ font_name="Sans Serif Regular"
-+}
-+widget_class "*" style "user-font"
-+gtk-font-name="Sans Serif Regular 10"
-+gtk-theme-name="Breeze"
-+gtk-icon-theme-name="breeze"
-+gtk-fallback-icon-theme="hicolor"
-+gtk-cursor-theme-name="breeze_cursors"
-+gtk-toolbar-style=GTK_TOOLBAR_ICONS
-+gtk-menu-images=1
-+gtk-button-images=1
-+EOF
- fi
- sysConfigDirs=${XDG_CONFIG_DIRS:-/etc/xdg}
-
--# We need to create config folder so we can write startupconfigkeys
--mkdir -p $configDir
-+# Set the default GTK 3 theme
-+gtk3_settings="$XDG_CONFIG_HOME/gtk-3.0/settings.ini"
-+breeze_gtk3="/run/current-system/sw/share/themes/Breeze/gtk-3.0"
-+if ! [ -e "$gtk3_settings" ] && [ -e "$breeze_gtk" ]; then
-+ mkdir -p $(dirname "$gtk3_settings")
-+ cat >"$gtk3_settings" <<EOF
-+[Settings]
-+gtk-font-name=Sans Serif Regular 10
-+gtk-theme-name=Breeze
-+gtk-icon-theme-name=breeze
-+gtk-fallback-icon-theme=hicolor
-+gtk-cursor-theme-name=breeze_cursors
-+gtk-toolbar-style=GTK_TOOLBAR_ICONS
-+gtk-menu-images=1
-+gtk-button-images=1
-+EOF
-+fi
-+
-+kcminputrc="$XDG_CONFIG_HOME/kcminputrc"
-+if ! [ -e "$kcminputrc" ]; then
-+ cat >"$kcminputrc" <<EOF
-+[Mouse]
-+cursorTheme=breeze_cursors
-+cursorSize=0
-+EOF
-+fi
-
- #This is basically setting defaults so we can use them with kstartupconfig5
--cat >$configDir/startupconfigkeys <<EOF
-+cat >"$XDG_CONFIG_HOME/startupconfigkeys" <<EOF
- kcminputrc Mouse cursorTheme 'breeze_cursors'
- kcminputrc Mouse cursorSize ''
--ksplashrc KSplash Theme Breeze
-+ksplashrc KSplash Theme org.kde.breeze.desktop
- ksplashrc KSplash Engine KSplashQML
--kcmfonts General forceFontDPIWayland 0
-+kdeglobals KScreen ScreenScaleFactors ''
-+kcmfonts General forceFontDPI 0
-+kcmfonts General dontChangeAASettings true
- EOF
-
- # preload the user's locale on first start
--plasmalocalerc=$configDir/plasma-localerc
--test -f $plasmalocalerc || {
--cat >$plasmalocalerc <<EOF
-+plasmalocalerc="$XDG_CONFIG_HOME/plasma-localerc"
-+if ! [ -f "$plasmalocalerc" ]; then
-+ cat >"$plasmalocalerc" <<EOF
- [Formats]
- LANG=$LANG
- EOF
--}
-+fi
-
- # export LC_* variables set by kcmshell5 formats into environment
- # so it can be picked up by QLocale and friends.
--exportformatssettings=$configDir/plasma-locale-settings.sh
--test -f $exportformatssettings && {
-- . $exportformatssettings
--}
-+exportformatssettings="$XDG_CONFIG_HOME/plasma-locale-settings.sh"
-+if [ -r "$exportformatssettings" ]; then
-+ . "$exportformatssettings"
-+fi
-
- # Write a default kdeglobals file to set up the font
--kdeglobalsfile=$configDir/kdeglobals
--test -f $kdeglobalsfile || {
--cat >$kdeglobalsfile <<EOF
-+kdeglobalsfile="$XDG_CONFIG_HOME/kdeglobals"
-+if ! [ -f "$kdeglobalsfile" ]; then
-+ cat >"$kdeglobalsfile" <<EOF
- [General]
--XftAntialias=true
--XftHintStyle=hintmedium
--XftSubPixel=none
-+fixed=Monospace,10,-1,5,50,0,0,0,0,0,Regular
-+font=Sans Serif,10,-1,5,50,0,0,0,0,0,Regular
-+menuFont=Sans Serif,10,-1,5,50,0,0,0,0,0,Regular
-+smallestReadableFont=Sans Serif,8,-1,5,50,0,0,0,0,0,Regular
-+toolBarFont=Sans Serif,8,-1,5,50,0,0,0,0,0,Regular
-+
-+[WM]
-+activeFont=Noto Sans,12,-1,5,50,0,0,0,0,0,Bold
- EOF
--}
--
--# Make sure the Oxygen font is installed
--# This is necessary for setups where CMAKE_INSTALL_PREFIX
--# is not in /usr. fontconfig looks in /usr, ~/.fonts and
--# $XDG_DATA_HOME for fonts. In this case, we symlink the
--# Oxygen font under ${XDG_DATA_HOME} and make it known to
--# fontconfig
--
--usr_share="/usr/share"
--install_share="@KDE_INSTALL_FULL_DATADIR@"
--
--if [ ! $install_share = $usr_share ]; then
--
-- if [ ${XDG_DATA_HOME} ]; then
-- fontsDir="${XDG_DATA_HOME}/fonts"
-- else
-- fontsDir="${HOME}/.fonts"
-- fi
--
-- test -d $fontsDir || {
-- mkdir -p $fontsDir
-- }
--
-- oxygenDir=$fontsDir/truetype/oxygen
-- prefixDir="@KDE_INSTALL_FULL_DATADIR@/fonts/truetype/oxygen"
--
-- # if the oxygen dir doesn't exist, create a symlink to be sure that the
-- # Oxygen font is available to the user
-- test -d $oxygenDir || test -d $prefixDir && {
-- test -h $oxygenDir || ln -s $prefixDir $oxygenDir && fc-cache $oxygenDir
-- }
- fi
-
--kstartupconfig5
-+@CMAKE_INSTALL_FULL_BINDIR@/kstartupconfig5
- returncode=$?
- if test $returncode -ne 0; then
- exit 1
- fi
--[ -r $configDir/startupconfig ] && . $configDir/startupconfig
-+if [ -r "$XDG_CONFIG_HOME/startupconfig" ]; then
-+ . "$XDG_CONFIG_HOME/startupconfig"
-+fi
-
- #Manually disable auto scaling because we are scaling above
- #otherwise apps that manually opt in for high DPI get auto scaled by the developer AND scaled by the wl_output
- export QT_AUTO_SCREEN_SCALE_FACTOR=0
-
--# XCursor mouse theme needs to be applied here to work even for kded or ksmserver
--if test -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ; then
-- @EXPORT_XCURSOR_PATH@
-+XCURSOR_PATH=~/.icons
-+IFS=":" read -r -a xdgDirs <<< "$XDG_DATA_DIRS"
-+for xdgDir in "${xdgDirs[@]}"; do
-+ XCURSOR_PATH="$XCURSOR_PATH:$xdgDir/icons"
-+done
-+export XCURSOR_PATH
-
-- # TODO: is kapplymousetheme a core app?
-+# XCursor mouse theme needs to be applied here to work even for kded or ksmserver
-+if [ -n "$kcminputrc_mouse_cursortheme" -o -n "$kcminputrc_mouse_cursorsize" ]; then
- #kapplymousetheme "$kcminputrc_mouse_cursortheme" "$kcminputrc_mouse_cursorsize"
-- if test $? -eq 10; then
-- XCURSOR_THEME=breeze_cursors
-- export XCURSOR_THEME
-- elif test -n "$kcminputrc_mouse_cursortheme"; then
-- XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
-- export XCURSOR_THEME
-+ if [ $? -eq 10 ]; then
-+ export XCURSOR_THEME=breeze_cursors
-+ elif [ -n "$kcminputrc_mouse_cursortheme" ]; then
-+ export XCURSOR_THEME="$kcminputrc_mouse_cursortheme"
- fi
-- if test -n "$kcminputrc_mouse_cursorsize"; then
-- XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
-- export XCURSOR_SIZE
-+ if [ -n "$kcminputrc_mouse_cursorsize" ]; then
-+ export XCURSOR_SIZE="$kcminputrc_mouse_cursorsize"
- fi
- fi
-
--if test "$kcmfonts_general_forcefontdpiwayland" -ne 0; then
-+if [ "${kcmfonts_general_forcefontdpiwayland:-0}" -ne 0 ]; then
- export QT_WAYLAND_FORCE_DPI=$kcmfonts_general_forcefontdpiwayland
- else
- export QT_WAYLAND_FORCE_DPI=96
-@@ -120,12 +176,12 @@ fi
-
- # Get a property value from org.freedesktop.locale1
- queryLocale1() {
-- qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
-+ @NIXPKGS_QDBUS@ --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
- }
-
- # Query whether org.freedesktop.locale1 is available. If it is, try to
- # set XKB_DEFAULT_{MODEL,LAYOUT,VARIANT,OPTIONS} accordingly.
--if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
-+if @NIXPKGS_QDBUS@ --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
- # Do not overwrite existing values. There is no point in setting only some
- # of them as then they would not match anymore.
- if [ -z "${XKB_DEFAULT_MODEL}" -a -z "${XKB_DEFAULT_LAYOUT}" -a \
-@@ -141,41 +197,10 @@ if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
- fi
- fi
-
--# Source scripts found in <config locations>/plasma-workspace/env/*.sh
--# (where <config locations> correspond to the system and user's configuration
--# directories, as identified by Qt's qtpaths, e.g. $HOME/.config
--# and /etc/xdg/ on Linux)
--#
--# This is where you can define environment variables that will be available to
--# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
--# or eval `gpg-agent --daemon`.
--# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
--#
--# (see end of this file).
--# For anything else (that doesn't set env vars, or that needs a window manager),
--# better use the Autostart folder.
--
--scriptpath=`echo "$configDir:$sysConfigDirs" | tr ':' '\n'`
--
--for prefix in `echo $scriptpath`; do
-- for file in "$prefix"/plasma-workspace/env/*.sh; do
-- test -r "$file" && . "$file" || true
-- done
--done
--
- echo 'startplasmacompositor: Starting up...' 1>&2
-
--# Make sure that the KDE prefix is first in XDG_DATA_DIRS and that it's set at all.
--# The spec allows XDG_DATA_DIRS to be not set, but X session startup scripts tend
--# to set it to a list of paths *not* including the KDE prefix if it's not /usr or
--# /usr/local.
--if test -z "$XDG_DATA_DIRS"; then
--XDG_DATA_DIRS="@KDE_INSTALL_FULL_DATADIR@:/usr/share:/usr/local/share"
--fi
--export XDG_DATA_DIRS
--
- # Make sure that D-Bus is running
--if qdbus >/dev/null 2>/dev/null; then
-+if @NIXPKGS_QDBUS@ >/dev/null 2>/dev/null; then
- : # ok
- else
- echo 'startplasmacompositor: Could not start D-Bus. Can you call qdbus?' 1>&2
-@@ -212,7 +237,7 @@ export KDE_FULL_SESSION
- KDE_SESSION_VERSION=5
- export KDE_SESSION_VERSION
-
--KDE_SESSION_UID=`id -ru`
-+KDE_SESSION_UID=$(@NIXPKGS_ID@ -ru)
- export KDE_SESSION_UID
-
- XDG_CURRENT_DESKTOP=KDE
-@@ -221,20 +246,41 @@ export XDG_CURRENT_DESKTOP
- XDG_SESSION_TYPE=wayland
- export XDG_SESSION_TYPE
-
-+# Source scripts found in <config locations>/plasma-workspace/env/*.sh
-+# (where <config locations> correspond to the system and user's configuration
-+# directories, as identified by Qt's qtpaths, e.g. $HOME/.config
-+# and /etc/xdg/ on Linux)
-+#
-+# This is where you can define environment variables that will be available to
-+# all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
-+# or eval `gpg-agent --daemon`.
-+# Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
-+#
-+# (see end of this file).
-+# For anything else (that doesn't set env vars, or that needs a window manager),
-+# better use the Autostart folder.
-+
-+IFS=":" read -r -a scriptpath <<< $(@NIXPKGS_QTPATHS@ --paths GenericConfigLocation)
-+# Add /env/ to the directory to locate the scripts to be sourced
-+for prefix in "${scriptpath[@]}"; do
-+ for file in "$prefix"/plasma-workspace/env/*.sh; do
-+ if [ -r "$file" ]; then
-+ . "$file"
-+ fi
-+ done
-+done
-+
- # kwin_wayland can possibly also start dbus-activated services which need env variables.
- # In that case, the update in startplasma might be too late.
--if which dbus-update-activation-environment >/dev/null 2>/dev/null ; then
-- dbus-update-activation-environment --systemd --all
--else
-- @CMAKE_INSTALL_FULL_LIBEXECDIR@/ksyncdbusenv
--fi
--if test $? -ne 0; then
-- # Startup error
-- echo 'startplasmacompositor: Could not sync environment to dbus.' 1>&2
-- exit 1
-+if ! @NIXPKGS_DBUS_UPDATE_ACTIVATION_ENVIRONMENT@ --systemd --all; then
-+ # Startup error
-+ echo 'startkde: Could not sync environment to dbus.' 1>&2
-+ test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-+ echo 'startplasmacompositor: Could not sync environment to dbus.' 1>&2
-+ exit 1
- fi
-
--@KWIN_WAYLAND_BIN_PATH@ --xwayland --libinput --exit-with-session=@CMAKE_INSTALL_FULL_LIBEXECDIR@/startplasma
-+@KWIN_WAYLAND_BIN_PATH@ --xwayland --libinput --exit-with-session=@NIXPKGS_STARTPLASMA@
-
- echo 'startplasmacompositor: Shutting down...' 1>&2
-
diff --git a/nixpkgs/pkgs/desktops/plasma-5/srcs.nix b/nixpkgs/pkgs/desktops/plasma-5/srcs.nix
index f299ed953de..fe78f210c17 100644
--- a/nixpkgs/pkgs/desktops/plasma-5/srcs.nix
+++ b/nixpkgs/pkgs/desktops/plasma-5/srcs.nix
@@ -1,365 +1,374 @@
-# DO NOT EDIT! This file is generated automatically by fetch-kde-qt.sh
+# DO NOT EDIT! This file is generated automatically.
+# Command: ./maintainers/scripts/fetch-kde-qt.sh pkgs/desktops/plasma-5/
{ fetchurl, mirror }:
{
bluedevil = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/bluedevil-5.16.5.tar.xz";
- sha256 = "60ac3471d30cb113b1959eacdaa1f4898f04f779f94a35dbca00993cda4ea464";
- name = "bluedevil-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/bluedevil-5.17.5.tar.xz";
+ sha256 = "22e9c683dfc56a559e652809ade238f8eb0ffb09d5ab042f5cd4b8216f647c09";
+ name = "bluedevil-5.17.5.tar.xz";
};
};
breeze = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/breeze-5.16.5.tar.xz";
- sha256 = "09225021a2cf396e74cabe692b0a5dcf9a12f0b47f02fb14df6ccc9db01f2e6b";
- name = "breeze-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/breeze-5.17.5.tar.xz";
+ sha256 = "f89bf857321b18789089efc9271d7bd7b6459a173dd078dd03242775db76c8d7";
+ name = "breeze-5.17.5.tar.xz";
};
};
breeze-grub = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/breeze-grub-5.16.5.tar.xz";
- sha256 = "ce73297350e7b79b04aa8ba44594e8eca2d37c0342eb331bd5d31679f3887878";
- name = "breeze-grub-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/breeze-grub-5.17.5.tar.xz";
+ sha256 = "591a1d7a510c76a1f2729a61a4d14c0f33db4d1e8ea5dbc87b74f2e7e7e2a2ba";
+ name = "breeze-grub-5.17.5.tar.xz";
};
};
breeze-gtk = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/breeze-gtk-5.16.5.tar.xz";
- sha256 = "d9849ecf6c2fc85fde76912410ab36c46ca65b96d80b4e51819ca35015a88098";
- name = "breeze-gtk-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/breeze-gtk-5.17.5.tar.xz";
+ sha256 = "6dbd8e7d936840fbaf7016574d07729c9d0791711ad6d371136585ddb8f76e66";
+ name = "breeze-gtk-5.17.5.tar.xz";
};
};
breeze-plymouth = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/breeze-plymouth-5.16.5.tar.xz";
- sha256 = "bb10d2f0185181e6f2fe8e3b85415dfcce6069595e0074b182688c6f567dd0b0";
- name = "breeze-plymouth-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/breeze-plymouth-5.17.5.tar.xz";
+ sha256 = "e95f9eaf04e74383f5e1abe74d999787e408be7a34fd07a4f64e253e35150af0";
+ name = "breeze-plymouth-5.17.5.tar.xz";
};
};
discover = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/discover-5.16.5.tar.xz";
- sha256 = "26c47a5c0f59a31f37da85e894a926c76805b66f91dde8ba6d2de8015842d5c1";
- name = "discover-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/discover-5.17.5.tar.xz";
+ sha256 = "986ef367aef59c5a956d4163f987a60cfd3674a300880376ddedc0222769789f";
+ name = "discover-5.17.5.tar.xz";
};
};
drkonqi = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/drkonqi-5.16.5.tar.xz";
- sha256 = "b4ae1518108c2d3ccbc533708801b52b83b7e9efd6eed9f1ee9d67936b9e78ff";
- name = "drkonqi-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/drkonqi-5.17.5.tar.xz";
+ sha256 = "756c50f2458a8c564e608ea97244f6b2b3d5fb4a675a8cec29307be1d5ab5457";
+ name = "drkonqi-5.17.5.tar.xz";
};
};
kactivitymanagerd = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kactivitymanagerd-5.16.5.tar.xz";
- sha256 = "e35dbf7aae8a7b7f21b2304935cad96881af558a7c9d947f0114093038b1c4bc";
- name = "kactivitymanagerd-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kactivitymanagerd-5.17.5.tar.xz";
+ sha256 = "362721c3a9712751fba29cd1f1ef440a1e74561a611f2d171692a4ddc895b3e4";
+ name = "kactivitymanagerd-5.17.5.tar.xz";
};
};
kde-cli-tools = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kde-cli-tools-5.16.5.tar.xz";
- sha256 = "bc82b159d3c9a23f0ecb47a8314b645041b01692887a3be0ef0582d54f926de2";
- name = "kde-cli-tools-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kde-cli-tools-5.17.5.tar.xz";
+ sha256 = "d14299ebeaf89854cb89435cfaaa4da1d84bf23a97df23ff8c7f95dae5bec55f";
+ name = "kde-cli-tools-5.17.5.tar.xz";
};
};
kdecoration = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kdecoration-5.16.5.tar.xz";
- sha256 = "2b8c7b7cf114d0eff4ec842009cda264d8cf1254ec4bf65868b6d26f263829bb";
- name = "kdecoration-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kdecoration-5.17.5.tar.xz";
+ sha256 = "7d8f0128306d436aeba010e47a3dddbcb9fb9fd05ef9308cbad1934914875cd9";
+ name = "kdecoration-5.17.5.tar.xz";
};
};
kde-gtk-config = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kde-gtk-config-5.16.5.tar.xz";
- sha256 = "f78abf129aaa7afac2c7a71105b36b9553a975bbcb89ec65a0166099d1cca8c1";
- name = "kde-gtk-config-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kde-gtk-config-5.17.5.tar.xz";
+ sha256 = "5feff23c756f1fb0ba9ab88c2aed92c0e7c5521c757f5a0cdd057273538f0010";
+ name = "kde-gtk-config-5.17.5.tar.xz";
};
};
kdeplasma-addons = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kdeplasma-addons-5.16.5.tar.xz";
- sha256 = "a4737a54b75143053a9f8a5bc28c608f843c524872c665d4e5a65bd2853e1e00";
- name = "kdeplasma-addons-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kdeplasma-addons-5.17.5.tar.xz";
+ sha256 = "997d6a3542ab1f1fd7fb17580693dc8281ff29b03c82577dbae3fc1ec4cccdb8";
+ name = "kdeplasma-addons-5.17.5.tar.xz";
};
};
kgamma5 = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kgamma5-5.16.5.tar.xz";
- sha256 = "838fabf4312f022ee3df5bba940c0c73e26260cfee39235c1ba8da8a2e61bfa0";
- name = "kgamma5-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kgamma5-5.17.5.tar.xz";
+ sha256 = "3b8fd1539d035d4d39dcde6ca0dd214e6653c98778ac79b9cbf2f7009b155ca9";
+ name = "kgamma5-5.17.5.tar.xz";
};
};
khotkeys = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/khotkeys-5.16.5.tar.xz";
- sha256 = "e7b866b5249ff7c5860a5a222dca79691ca1f09af176f786021fbbadbd718c8c";
- name = "khotkeys-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/khotkeys-5.17.5.tar.xz";
+ sha256 = "cf78b5bfb8568fb4eea592b209bdb79aeac92bd08a580c3b6c08d45dd34a2d56";
+ name = "khotkeys-5.17.5.tar.xz";
};
};
kinfocenter = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kinfocenter-5.16.5.tar.xz";
- sha256 = "e3bbc5e2baedf35dc8750c99e18c115b651f2665218a105c08177bc5250eb9b1";
- name = "kinfocenter-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kinfocenter-5.17.5.tar.xz";
+ sha256 = "679870f10ee6494136d87a897a57a23c2905054d7a83ff11a4e85c204eb9fd9a";
+ name = "kinfocenter-5.17.5.tar.xz";
};
};
kmenuedit = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kmenuedit-5.16.5.tar.xz";
- sha256 = "8e95b81b910e5e78689fc7d4427c813ba7d39426df24cf8606adb850913a19a4";
- name = "kmenuedit-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kmenuedit-5.17.5.tar.xz";
+ sha256 = "59beed03298cd9fd6b05d67844794ed6a77be0d1b25b55d5bbcdf72e15e357de";
+ name = "kmenuedit-5.17.5.tar.xz";
};
};
kscreen = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kscreen-5.16.5.tar.xz";
- sha256 = "ce35f554014cee819767180f0c9381d539e497edfb9c290b279fa78e9dea4bb0";
- name = "kscreen-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kscreen-5.17.5.tar.xz";
+ sha256 = "de8a00b33d0254245a53a5c097347aa86709d415754b3e3c675eef8fb4fe5bc0";
+ name = "kscreen-5.17.5.tar.xz";
};
};
kscreenlocker = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kscreenlocker-5.16.5.tar.xz";
- sha256 = "5ed6fdeac9aaba014edf67c5f782fc210d58310d083afaa589d0ff1bb3e8e02d";
- name = "kscreenlocker-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kscreenlocker-5.17.5.tar.xz";
+ sha256 = "078cfaa9f117a985f5c71152bdf4a9f5cb65ef23c0090cfaaccc9539770f138f";
+ name = "kscreenlocker-5.17.5.tar.xz";
};
};
ksshaskpass = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/ksshaskpass-5.16.5.tar.xz";
- sha256 = "78eaa38ebbf888a8905e9385173e7161335041d6d07720283ce6f3fa06426a33";
- name = "ksshaskpass-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/ksshaskpass-5.17.5.tar.xz";
+ sha256 = "b09e0d780340fc5a6a65e67a30d08a3f117f31e2dbfbb35579aa4cefb15c3b27";
+ name = "ksshaskpass-5.17.5.tar.xz";
};
};
ksysguard = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/ksysguard-5.16.5.tar.xz";
- sha256 = "5558977389cb1fac4a5ce52c9430b27d9d1ee92705ae1995d92bed5340477282";
- name = "ksysguard-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/ksysguard-5.17.5.tar.xz";
+ sha256 = "69bc12311dcf363b168a259139d30456ed395ec03b948bd35e992300c7e7bd82";
+ name = "ksysguard-5.17.5.tar.xz";
};
};
kwallet-pam = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kwallet-pam-5.16.5.tar.xz";
- sha256 = "4a12a8ed51973f9ea318a39a699523bcc99ae4e1cac932fccd19dedd45e758a8";
- name = "kwallet-pam-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kwallet-pam-5.17.5.tar.xz";
+ sha256 = "c829c7a44408e58beb87c71f5c70bccd349d285c3fcefb16df98bf2f29357fe9";
+ name = "kwallet-pam-5.17.5.tar.xz";
};
};
kwayland-integration = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kwayland-integration-5.16.5.tar.xz";
- sha256 = "63724ecfb6db053ee949273979b393192309dbeed45b59bc193a605f90232282";
- name = "kwayland-integration-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kwayland-integration-5.17.5.tar.xz";
+ sha256 = "818b4e14611e26f297ef60427d399edc458a44e113bc092390fa65ecababcedb";
+ name = "kwayland-integration-5.17.5.tar.xz";
};
};
kwin = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kwin-5.16.5.tar.xz";
- sha256 = "7ff0e114e323ff7e10d78a157f8242b1d3cfa03967898d9e3fd3c039b7c9918b";
- name = "kwin-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kwin-5.17.5.tar.xz";
+ sha256 = "8517adaf8270d783aea7b3886d86b5abed6a5ec2b5c78b632479597d956baadc";
+ name = "kwin-5.17.5.tar.xz";
};
};
kwrited = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/kwrited-5.16.5.tar.xz";
- sha256 = "4b122099b0a362fc409b50b7523689ba8a112508dad26f58753c6b648e7c5313";
- name = "kwrited-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/kwrited-5.17.5.tar.xz";
+ sha256 = "ca22b1fa3e657fa2e58bf0c9dc1ebff3be8c0e003750223e7a7c5932d5b90823";
+ name = "kwrited-5.17.5.tar.xz";
};
};
libkscreen = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/libkscreen-5.16.5.tar.xz";
- sha256 = "fd2d1e849315ac745ecfe757d6b2c5cc6486e0be5397f686dae3916c0252c938";
- name = "libkscreen-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/libkscreen-5.17.5.tar.xz";
+ sha256 = "aa186e5751287701daec4d036aba776a911e4b84ca7eea44dc5fb531875afd94";
+ name = "libkscreen-5.17.5.tar.xz";
};
};
libksysguard = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/libksysguard-5.16.5.tar.xz";
- sha256 = "f09b99737a937df890ecdd2a33720b6cba3c79fc8bc17ef1470572748a6e1976";
- name = "libksysguard-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/libksysguard-5.17.5.tar.xz";
+ sha256 = "f5d237af554d65740a28360e6d8fa39d4912239c5f21288846b1c934897a7e14";
+ name = "libksysguard-5.17.5.tar.xz";
};
};
milou = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/milou-5.16.5.tar.xz";
- sha256 = "bfcdba29262dda9f386ee99132053ad5751194b2df8219899fcbb0b3699afcd5";
- name = "milou-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/milou-5.17.5.tar.xz";
+ sha256 = "b89796e34cc8b6d6d4196169e814249f7b75c1c15763e0b4c1da5c97ccc2c8cf";
+ name = "milou-5.17.5.tar.xz";
};
};
oxygen = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/oxygen-5.16.5.tar.xz";
- sha256 = "0e85dcd874d2e69aaa2d4eefc379289c7dd572437f53e42f1d6d260d97c2f8a2";
- name = "oxygen-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/oxygen-5.17.5.tar.xz";
+ sha256 = "58954374a4b9067365ee5d50b32b1986b2e7dd31e73cbf79fda8d978949943be";
+ name = "oxygen-5.17.5.tar.xz";
};
};
plasma-browser-integration = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-browser-integration-5.16.5.tar.xz";
- sha256 = "99269c7e27fddb0c075bff28a5afba41298dc8d28297d69f35f6bc30f3af1d35";
- name = "plasma-browser-integration-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-browser-integration-5.17.5.tar.xz";
+ sha256 = "07bc4285991ab43830873a12b8c07f60e4faea1ec81121db783c425f18a4f87d";
+ name = "plasma-browser-integration-5.17.5.tar.xz";
};
};
plasma-desktop = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-desktop-5.16.5.tar.xz";
- sha256 = "49dc4c9eff5742eb52fc0d12c139c194eda837945389cd09f498a0c4c352a20f";
- name = "plasma-desktop-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-desktop-5.17.5.tar.xz";
+ sha256 = "7f741ab026989bdcc68701955fc290d5ead38bf4bc310f18a2f32c64b411ab04";
+ name = "plasma-desktop-5.17.5.tar.xz";
};
};
plasma-integration = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-integration-5.16.5.tar.xz";
- sha256 = "635f109e7b59bb440c6be0c7a4baae70d2f44e659ab0522e170693b664e6d709";
- name = "plasma-integration-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-integration-5.17.5.tar.xz";
+ sha256 = "169206bebd790d2fee49cec621c46f6f64a8e20ee3e56bf16ee7373f61cad959";
+ name = "plasma-integration-5.17.5.tar.xz";
};
};
plasma-nm = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-nm-5.16.5.tar.xz";
- sha256 = "b519429bd784ff2ede0bf10e1e943822ef08ea5cf85e901363fda36d32907460";
- name = "plasma-nm-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-nm-5.17.5.tar.xz";
+ sha256 = "2165e47a0654d17735abc97aec287b46b52a2eafccc3591b667ea2755b731255";
+ name = "plasma-nm-5.17.5.tar.xz";
};
};
plasma-pa = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-pa-5.16.5.tar.xz";
- sha256 = "e029563d50cc6266a4a3e22574c33fef4670e1aaab18630eb30769e2167acc96";
- name = "plasma-pa-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-pa-5.17.5.tar.xz";
+ sha256 = "933c6ab1fda52b336a157a48b1ea64b81fd1d84ca08a40a52bfae276cca2bf23";
+ name = "plasma-pa-5.17.5.tar.xz";
};
};
plasma-sdk = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-sdk-5.16.5.tar.xz";
- sha256 = "1b05f0501309099f241ebae857c24b31bc4e61fde8bfc33e854d3a1dd3d37385";
- name = "plasma-sdk-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-sdk-5.17.5.tar.xz";
+ sha256 = "ff736029b1ae5773991db06f5827d9dcbd8e7a4e9a430c9014c35ddee2c55314";
+ name = "plasma-sdk-5.17.5.tar.xz";
};
};
plasma-tests = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-tests-5.16.5.tar.xz";
- sha256 = "236a83c2caa99801b6db1debce53a6c7390087115899410a8139ad3b7268b7f7";
- name = "plasma-tests-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-tests-5.17.5.tar.xz";
+ sha256 = "1b566b7118a5c8d1b25078d331a6bc77f48781010fbd3425d85b137811218982";
+ name = "plasma-tests-5.17.5.tar.xz";
+ };
+ };
+ plasma-thunderbolt = {
+ version = "5.17.5";
+ src = fetchurl {
+ url = "${mirror}/stable/plasma/5.17.5/plasma-thunderbolt-5.17.5.tar.xz";
+ sha256 = "3743f9841d269d51f1b1419e24d5cd1b26a0ba5a90e76b531328a8cc43184382";
+ name = "plasma-thunderbolt-5.17.5.tar.xz";
};
};
plasma-vault = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-vault-5.16.5.tar.xz";
- sha256 = "2bb40a80c35f3eaedc729013a8b6b76641cc74eca4fd171f1cda99237f83198c";
- name = "plasma-vault-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-vault-5.17.5.tar.xz";
+ sha256 = "3e5c6b4dd6c1122b6a221205da506881959ab905e467b74b0536e7f5fe130d71";
+ name = "plasma-vault-5.17.5.tar.xz";
};
};
plasma-workspace = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-workspace-5.16.5.tar.xz";
- sha256 = "43364fe4e7ea10ad7b5b1d7af4f1baa1d8796b60692f2dfc0d58693f63e458ff";
- name = "plasma-workspace-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-workspace-5.17.5.tar.xz";
+ sha256 = "764488e66d52bc3017efb2c1471f57196aa50fbfa3a80637bf48f24955cfba88";
+ name = "plasma-workspace-5.17.5.tar.xz";
};
};
plasma-workspace-wallpapers = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plasma-workspace-wallpapers-5.16.5.tar.xz";
- sha256 = "ff6e0eac42c540c72556439e6477fb78be2dab456386218813cce021f82d42d9";
- name = "plasma-workspace-wallpapers-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plasma-workspace-wallpapers-5.17.5.tar.xz";
+ sha256 = "8a28ef67b65c340d40ff8f5bfc333ead68e6d8c9e410769c43af847ced9b4ca9";
+ name = "plasma-workspace-wallpapers-5.17.5.tar.xz";
};
};
plymouth-kcm = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/plymouth-kcm-5.16.5.tar.xz";
- sha256 = "db839c5fe9f6df882b95f436983c129cd553dd50e6cf1065c4410a91b20f1dcc";
- name = "plymouth-kcm-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/plymouth-kcm-5.17.5.tar.xz";
+ sha256 = "bbd6994f60ed9d63b4e4dd0abe78bf1f9c14b8ecce8ba4355d16cd52a0a86528";
+ name = "plymouth-kcm-5.17.5.tar.xz";
};
};
polkit-kde-agent = {
- version = "1-5.16.5";
+ version = "1-5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/polkit-kde-agent-1-5.16.5.tar.xz";
- sha256 = "6f7a17990d72bb25c93acae919b764f95ac226754209b2e177075fbe9251f95f";
- name = "polkit-kde-agent-1-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/polkit-kde-agent-1-5.17.5.tar.xz";
+ sha256 = "a79d76a2f584f6567639228fde6f75b3960484f7a65cfc69b6acb6df1de53f5d";
+ name = "polkit-kde-agent-1-5.17.5.tar.xz";
};
};
powerdevil = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/powerdevil-5.16.5.tar.xz";
- sha256 = "ac868f31df8c6bcc6b1c850efa0640695ba698caabefcb21fc0b0c3405712139";
- name = "powerdevil-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/powerdevil-5.17.5.tar.xz";
+ sha256 = "27904361e85e1267d933d8f0a0d3be4dc712099ed2eb3cf90959209a4443dd82";
+ name = "powerdevil-5.17.5.tar.xz";
};
};
sddm-kcm = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/sddm-kcm-5.16.5.tar.xz";
- sha256 = "4220d18f1a04c767649bffee1aed6c2b2c12c60cd7d6ca6fabc3dbec1ec3f127";
- name = "sddm-kcm-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/sddm-kcm-5.17.5.tar.xz";
+ sha256 = "e85fb9e014439e8c0e73638112139561aff9a9f71f26c3eafedff5a98a07b33b";
+ name = "sddm-kcm-5.17.5.tar.xz";
};
};
systemsettings = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/systemsettings-5.16.5.tar.xz";
- sha256 = "57944cf3f566cf5e25d5859f5716b2ad5dbd87de259f8d77efdfdd50a16fe1ec";
- name = "systemsettings-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/systemsettings-5.17.5.tar.xz";
+ sha256 = "50fa4d7866639995a6859446fc6a02a73ae05203e8f2ed31221e232ed3491eaf";
+ name = "systemsettings-5.17.5.tar.xz";
};
};
user-manager = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/user-manager-5.16.5.tar.xz";
- sha256 = "e9df3ec2718de68b0b46d0b86f993fe450b236e13dda6219f350121f08f4c468";
- name = "user-manager-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/user-manager-5.17.5.tar.xz";
+ sha256 = "10ed3196063c7dfed3b3f25dd199a48ca39fa86db5d0126ec84a543b1c212f0d";
+ name = "user-manager-5.17.5.tar.xz";
};
};
xdg-desktop-portal-kde = {
- version = "5.16.5";
+ version = "5.17.5";
src = fetchurl {
- url = "${mirror}/stable/plasma/5.16.5/xdg-desktop-portal-kde-5.16.5.tar.xz";
- sha256 = "4884652b642fb6e8db791a04e9d42b5fec53f28cc0f0d26f49eb2bdaaa1709df";
- name = "xdg-desktop-portal-kde-5.16.5.tar.xz";
+ url = "${mirror}/stable/plasma/5.17.5/xdg-desktop-portal-kde-5.17.5.tar.xz";
+ sha256 = "a993bd4b86a44c8237a3f4957c2594aa2ca8916204ad866f8af32f7df34740f6";
+ name = "xdg-desktop-portal-kde-5.17.5.tar.xz";
};
};
}